### Method

# EDataBook BookBackend ref_view

since: 3.50

#### Declaration [src]

    EDataBookView*
    e_book_backend_ref_view (
      EBookBackend* backend,
      gsize view_id
    )

#### Description [src]

References an `EDataBookView` by its identifier.

Unref the returned non-NULL view with g_object_unref(), when no longer needed.

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

#### Return value

Type: `EDataBookView`

A referenced `EDataBookView` corresponding to the given `view_id`, or `NULL`, when it cannot be found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.